From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/httpie/
Date: Wed, 8 Sep 2021 00:18:03 +0000 (UTC) [thread overview]
Message-ID: <1631060257.e35c8f61192e82cd6ab1eedd093cc42cdf335c3e.sam@gentoo> (raw)
commit: e35c8f61192e82cd6ab1eedd093cc42cdf335c3e
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 8 00:15:56 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Sep 8 00:17:37 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e35c8f61
net-misc/httpie: add 2.5.0
Closes: https://bugs.gentoo.org/809377
Closes: https://bugs.gentoo.org/809284
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-misc/httpie/Manifest | 1 +
net-misc/httpie/httpie-2.5.0.ebuild | 60 +++++++++++++++++++++++++++++++++++++
2 files changed, 61 insertions(+)
diff --git a/net-misc/httpie/Manifest b/net-misc/httpie/Manifest
index 9fc9517f543..3779e5c114a 100644
--- a/net-misc/httpie/Manifest
+++ b/net-misc/httpie/Manifest
@@ -1 +1,2 @@
DIST httpie-2.4.0.tar.gz 1772537 BLAKE2B 111451cc7dc353d5b586554f98ac715a3198f03e74d261944a5f021d2dcc948455500800222b323d182a2a067d0549bda7c318ab3a6c934b9a9beec64aff2db2 SHA512 44cc7ff4fe0f3d8c53a7dd750465f6b56c36f5bbac06d22b760579bd60949039e82313845699669a659ec91adc69dbeac22c06ddd63af64e6f2e0edecf3e732a
+DIST httpie-2.5.0.tar.gz 1105177 BLAKE2B 6e16868c81522d4e6d2fc0a4e093c190f18ced720b35217930865ae3f8e168193cc33dfecc13c5d310f52647d6e79d17b247f56e56e8586d633a2d9502be66a7 SHA512 f14aa23fea7578181b9bd6ededea04de9ddf0b2f697b23f76d2d96e2c17b95617318c711750bad6af550400dbc03732ab17fdf84e59d577f33f073e600a55330
diff --git a/net-misc/httpie/httpie-2.5.0.ebuild b/net-misc/httpie/httpie-2.5.0.ebuild
new file mode 100644
index 00000000000..b2e48e8373f
--- /dev/null
+++ b/net-misc/httpie/httpie-2.5.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{8,9,10} )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="Modern command line HTTP client"
+HOMEPAGE="https://httpie.org/ https://pypi.org/project/httpie/"
+SRC_URI="https://github.com/jakubroztocil/httpie/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.22.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-toolbelt-0.9.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local skipped_tests=()
+
+ skipped_tests+=(
+ tests/test_uploads.py::test_chunked_json
+ tests/test_uploads.py::test_chunked_form
+ tests/test_uploads.py::test_chunked_stdin
+ tests/test_uploads.py::TestMultipartFormDataFileUpload::test_multipart_chunked
+ tests/test_uploads.py::TestRequestBodyFromFilePath::test_request_body_from_file_by_path_chunked
+ tests/test_tokens.py::test_verbose_chunked
+ )
+
+ pytest -v ${skipped_tests[@]/#/--deselect } || die "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ newbashcomp extras/httpie-completion.bash http
+ insinto /usr/share/fish/vendor_completions.d
+ newins extras/httpie-completion.fish http.fish
+ distutils-r1_python_install_all
+}
next reply other threads:[~2021-09-08 0:18 UTC|newest]
Thread overview: 59+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-09-08 0:18 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-05-25 6:01 [gentoo-commits] repo/gentoo:master commit in: net-misc/httpie/ Sam James
2025-05-25 6:01 Sam James
2025-05-10 23:24 Sam James
2025-05-10 23:22 Sam James
2025-05-10 23:22 Sam James
2025-05-03 0:29 Sam James
2024-11-23 17:21 Michał Górny
2024-11-23 13:16 Michał Górny
2024-09-23 12:57 Joonas Niilola
2024-09-23 12:57 Joonas Niilola
2024-09-23 12:57 Joonas Niilola
2024-05-29 6:01 Joonas Niilola
2024-05-29 5:55 Joonas Niilola
2024-05-09 12:12 Sam James
2023-08-09 18:14 Piotr Karbowski
2023-08-09 18:14 Piotr Karbowski
2023-05-01 12:49 Sam James
2023-03-30 17:23 Arthur Zamarin
2023-03-30 17:23 Arthur Zamarin
2023-02-23 22:31 Piotr Karbowski
2023-02-18 20:04 Piotr Karbowski
2022-01-22 9:48 Agostino Sarubbo
2022-01-21 13:27 Jakov Smolić
2021-10-25 19:25 Piotr Karbowski
2021-10-25 14:00 Sam James
2021-10-20 1:51 Sam James
2021-09-17 2:38 Sam James
2021-09-17 2:37 Sam James
2021-04-19 19:41 Sam James
2021-04-18 2:58 Sam James
2021-04-18 2:57 Sam James
2021-02-06 20:56 Sam James
2021-02-06 14:15 Sam James
2021-01-31 18:48 Sam James
2021-01-26 15:19 Sam James
2020-12-20 23:43 Thomas Deutschmann
2020-12-20 23:43 Thomas Deutschmann
2020-12-20 23:43 Thomas Deutschmann
2020-10-13 10:01 Agostino Sarubbo
2020-10-13 9:26 Agostino Sarubbo
2020-08-03 15:30 Sam James
2020-05-09 7:48 Agostino Sarubbo
2020-05-09 7:40 Agostino Sarubbo
2020-04-21 8:18 Joonas Niilola
2020-02-25 6:05 Joonas Niilola
2020-02-11 12:16 Michał Górny
2019-12-03 14:17 Joonas Niilola
2019-12-03 10:06 Agostino Sarubbo
2019-12-03 10:03 Agostino Sarubbo
2019-10-13 16:55 Joonas Niilola
2019-07-02 10:33 Agostino Sarubbo
2019-07-01 19:23 Thomas Deutschmann
2018-11-16 20:50 Georgy Yakovlev
2018-11-10 4:05 Georgy Yakovlev
2017-05-29 16:33 Pacho Ramos
2016-12-28 4:48 Vikraman Choudhury
2016-07-02 14:08 Sebastian Pipping
2016-01-11 4:43 Vikraman Choudhury
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1631060257.e35c8f61192e82cd6ab1eedd093cc42cdf335c3e.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox